EndResolveDependencyEvent
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.event.resolve
Class EndResolveDependencyEvent

    java.lang.Object
      org.apache.ivy.core.event.IvyEvent
          org.apache.ivy.core.event.resolve.ResolveDependencyEvent
              org.apache.ivy.core.event.resolve.EndResolveDependencyEvent

    public class EndResolveDependencyEvent

extends ResolveDependencyEvent

Field Summary
`static java.lang.String` | `NAME`

Constructor Summary
`EndResolveDependencyEvent(DependencyResolver resolver, DependencyDescriptor dd, ModuleRevisionId requestedRevisionId, ResolvedModuleRevision module, long duration)`

Method Summary
`long` | `getDuration()` Returns the time elapsed to resolve the dependency.
`ResolvedModuleRevision` | `getModule()`

Methods inherited from class org.apache.ivy.core.event.resolve.ResolveDependencyEvent
`getDependencyDescriptor, getResolver`

Methods inherited from class org.apache.ivy.core.event.IvyEvent
`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

Constructor Detail

### EndResolveDependencyEvent

    public EndResolveDependencyEvent(DependencyResolver resolver,
                                     DependencyDescriptor dd,
                                     ModuleRevisionId requestedRevisionId,
                                     ResolvedModuleRevision module,
                                     long duration)

Method Detail

### getModule

    public ResolvedModuleRevision getModule()

### getDuration

    public long getDuration()

  Returns the time elapsed to resolve the dependency.

  The time elapsed to resolve a dependency includes the time required to locate the the actual revision if the dependency descriptor use a version constraint, and to download the module metadata if necessary. It doesn't include any conflict management operations nor transitive dependency management. It's basically the time elapsed since the corresponding `StartResolveDependencyEvent`

  Returns:
    the time elapsed to resolve the dependency.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD